/*
 * $Id: MailAddressValidator.java,v 1.1 2006/04/11 16:14:32 sugimotokenichi Exp $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/09
 */
package feat2.validation;

import java.util.Map;

import org.apache.commons.validator.GenericValidator;

/**
 * メールアドレスであることを検証する。
 * @author SUGIMOTO Ken-ichi
 */
public class MailAddressValidator implements SingleValueValidator {

    public boolean validate(String value) {

        if ( ValidatorUtil.isBlankOrNull(value) )
            return true;

        return GenericValidator.isEmail(value);

    }

    public String getDefaultMessageId() {
        return "error.validation.mailaddress";
    }

    public Map getKeyrowds() {
        return null;
    }


}
